package foo.bar.tests;

import com.goldencode.p2j.util.*;
import foo.bar.tests.ui.*;
import com.goldencode.p2j.ui.*;

import static com.goldencode.p2j.util.BlockManager.*;
import static com.goldencode.p2j.ui.LogicalTerminal.*;

/**
 * Business logic (converted to Java from the 4GL source code
 * in welcome.p).
 */
public class Welcome
{
   WelcomeF1 f1Frame = GenericFrame.createFrame(WelcomeF1.class, "f1");

   /**
    * External procedure (converted to Java from the 4GL source code
    * in welcome.p).
    */
   public void execute()
   {
      character ch = UndoableFactory.character();
      
      externalProcedure(Welcome.this, new Block((Body) () -> 
      {
         f1Frame.openScope();
         ch.assign("Welcome to FWD!");
         
         FrameElement[] elementList0 = new FrameElement[]
         {
            new Element(ch, f1Frame.widgetCh())
         };
         
         f1Frame.display(elementList0);
         
         pause();
      }));
   }
}
